aboutsummaryrefslogtreecommitdiff
path: root/tcwg-binutils.yaml
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2017-04-27 10:54:54 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2017-05-03 09:54:46 +0000
commitf05e0a4b0e5b84caf1d9290822b1beba0aa1c652 (patch)
tree60078383fd325f61ae1ca954bbdf18d3d52a1904 /tcwg-binutils.yaml
parentea11aa4ab239bf088b587e7c1e1b8f37e18f440a (diff)
tcwg-binutils: Switch to use docker from schroot
... also run native builds on AArch64 and AArch32 builders. Change-Id: I8f94837001a824cf2478b9485688fac9dca1cbab
Diffstat (limited to 'tcwg-binutils.yaml')
-rw-r--r--tcwg-binutils.yaml48
1 files changed, 30 insertions, 18 deletions
diff --git a/tcwg-binutils.yaml b/tcwg-binutils.yaml
index db1281a3..7b2aa7e1 100644
--- a/tcwg-binutils.yaml
+++ b/tcwg-binutils.yaml
@@ -20,14 +20,18 @@
description: 'binutils revision to build'
- string:
name: target_list
- default: 'aarch64-linux-gnu aarch64_be-linux-gnu aarch64-none-elf aarch64_be-none-elf arm-linux-gnueabi arm-linux-gnueabihf arm-netbsdelf arm-none-eabi arm-none-nacl arm-none-symbianelf arm-pe arm-vxworks arm-wince-pe armeb-linux-gnueabihf'
+ default: 'aarch64-linux-gnu aarch64_be-linux-gnu aarch64-none-elf aarch64_be-none-elf arm-linux-gnueabi arm-linux-gnueabihf arm-netbsdelf arm-none-eabi arm-none-nacl arm-none-symbianelf arm-pe arm-vxworks arm-wince-pe armeb-linux-gnueabihf tcwg-x86_64-build tcwg-x86_32-build tcwg-apm_64-build tcwg-apm_32-build tcwg-tk1_32-build'
description: 'List of targets to test'
- string:
name: bfd_list
default: '--enable-64-bit-bfd=no --enable-64-bit-bfd=yes'
description: 'Type of BFD to enable: --enable-64-bit-bfd=yes --enable-64-bit-bfd=no'
+ - string:
+ name: scripts_branch
+ default: master
+ description: 'Jenkins-scripts branch to use'
disabled: false
- node: tcwg-x86_64-cam
+ node: tcwg-x86_64-build
retry-count: 3
concurrent: true
display-name: 'TCWG BBB Binutils-GDB'
@@ -46,23 +50,25 @@
type: slave
name: label
values:
- - tcwg-x86_64-cam
+ - tcwg-x86_64-build
+ - tcwg-x86_32-build
+ - tcwg-apm_64-build
+ - tcwg-apm_32-build
+ - tcwg-tk1_32-build
- axis:
type: dynamic
name: bfd
values:
- bfd_list
- axis:
- type: user-defined
- name: schroot_arch
- values:
- - i386
- - amd64
- - axis:
type: dynamic
name: target
values:
- target_list
+ execution-strategy:
+ combination-filter: |
+ ((label==~/tcwg-x86_.*-build/) && ! (target==~/tcwg-.*/)) || (target==label)
+ sequential: false
wrappers:
- timeout:
timeout: 600
@@ -77,17 +83,18 @@
- shell: |
#!/bin/bash
- set -e
- set -x
+ set -ex
- schroot_image="tcwg-build-${schroot_arch}-trusty"
+ rm -rf jenkins-scripts
+ git clone -b $scripts_branch --depth 1 https://git-us.linaro.org/toolchain/jenkins-scripts
- session_id=$(schroot -b -c chroot:$schroot_image --preserve-environment)
- BUILD_SHELL="schroot -r -c session:$session_id --preserve-environment -- bash"
+ ./jenkins-scripts/start-container-docker.sh --label $label --node $NODE_NAME --distro trusty --task build --prefix build_ > build-container.sh
+ . ./build-container.sh
+ BUILD_SHELL="build_container_exec bash"
$BUILD_SHELL -c "echo \"Build session is up; ulimit config:\"; ulimit -a"
# Remove schroot session on exit
- trap "schroot -f -e -c session:$session_id" 0 1 2 3 5 9 13 15
+ trap "build_container_cleanup" 0 1 2 3 5 9 13 15
case $target in
arm-wince-pe|arm-pe|arm-epoc-pe|arm-aout|arm-coff)
@@ -98,11 +105,16 @@
;;
esac
+ case $target in
+ tcwg-*) target_opt="" ;;
+ *) target_opt="--target $target" ;;
+ esac
+
rm -rf build-$target || true
mkdir -p build-$target
cd build-$target
result=0
- jobs=$(getconf _NPROCESSORS_ONLN)
+ jobs=$(nproc --all)
echo BUILD STARTED $(date)
echo WORKSPACE: ${WORKSPACE}
@@ -110,7 +122,7 @@
# because of 'set -e'. But for 'make check' we want to
# execute all the tests, and report if there were some
# errors.
- ${BUILD_SHELL} -c "../configure $lto --enable-plugins --disable-gprof --disable-gdb --disable-sim --disable-libdecnumber --disable-readline --prefix=`pwd`/install --target $target ${bfd}"
+ ${BUILD_SHELL} -c "../configure $lto --enable-plugins --disable-gprof --disable-gdb --disable-sim --disable-libdecnumber --disable-readline --prefix=`pwd`/install $target_opt ${bfd}"
${BUILD_SHELL} -c "make all -j$jobs"
${BUILD_SHELL} -c "make check -j$jobs -k" || result=1
@@ -120,7 +132,7 @@
case ${target} in
arm-vxworks) ;;
*)
- ${BUILD_SHELL} -c "mkdir build-gdb && cd build-gdb && ../../configure --with-gnu-ld --enable-plugins --enable-tui --disable-gas --disable-binutils --disable-ld --disable-gold --disable-gprof --target=${target} ${bfd}"
+ ${BUILD_SHELL} -c "mkdir build-gdb && cd build-gdb && ../../configure --with-gnu-ld --enable-plugins --enable-tui --disable-gas --disable-binutils --disable-ld --disable-gold --disable-gprof $target_opt ${bfd}"
${BUILD_SHELL} -c "cd build-gdb && make all -j$jobs"
;;
esac